import request from '@/utils/httpRequest';
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ReportReviewService {
  list (type) {
    return request({
      url: prefix + '/auditSheet/type/prooList',
      method: 'get',
      params: {type: type}
    })
  }
  save (param) {
    return request({
      url: prefix + '/projectReport/numberApply/saveForm',
      method: 'post',
      data: param
    })
  }
	reviewSave (param) {
    return request({
      url: prefix + '/projectReport/numberReviewApply/saveForm',
      method: 'post',
      data: param
    })
  }
  updateReviewStatysByReportId (data) {
    return request({
      url: prefix + '/projectReport/numberApply/updateReviewStatysByReportId',
      method: 'post',
      data: data
    })
  }
  queryByReportId (id) {
    return request({
      url: prefix + '/projectReport/numberApply/queryByReportId',
      method: 'get',
      params: {id: id}
    })
  }
  getProcessStatus (id) {
    return request({
      url: prefix + '/projectReport/numberApply/getProcessStatus',
      method: 'get',
      params: {procInsId: id}
    })
  }
  getHaveReportNo (id) {
    return request({
      url: prefix + '/projectReport/numberApply/getHaveReportNo',
      method: 'get',
      params: {reportId: id}
    })
  }
  saveReportNo (id) {
    return request({
      url: prefix + '/projectReport/numberApply/saveReportNo',
      method: 'get',
      params: {reportId: id}
    })
  }

queryReviewByReportId (id) {
	return request({
		url: prefix + '/projectReport/numberReviewApply/queryByReportId',
		method: 'get',
		params: {id: id}
	})
}
updateStatysReviewByReportId (data) {
	return request({
		url: prefix + '/projectReport/numberReviewApply/updateReviewStatysByReportId',
		method: 'post',
		data: data
	})
}
}
